cudaExternalSemaphoreHandleDesc(3)

NAME
cudaExternalSemaphoreHandleDesc -

SYNOPSIS

  Data Fields

enum cudaExternalSemaphoreHandleType type
int fd
void * handle
struct {
void * handle
} win32

Detailed Description

External semaphore handle descriptor

Field Documentation

  int cudaExternalSemaphoreHandleDesc::fd

File descriptor referencing the semaphore object. Valid when type is cudaExternalSemaphoreHandleTypeOpaqueFd

  void* cudaExternalSemaphoreHandleDesc::handle

Valid NT handle. Must be NULL if 'name' is non-NULL

  enum cudaExternalSemaphoreHandleType cudaExternalSemaphoreHandleDesc::type

Type of the handle

  struct { ... } cudaExternalSemaphoreHandleDesc::win32

Win32 handle referencing the semaphore object. Valid when type is one of the following:

•   cudaExternalSemaphoreHandleTypeOpaqueWin32

•   cudaExternalSemaphoreHandleTypeOpaqueWin32Kmt

•   cudaExternalSemaphoreHandleTypeD3D12Fence Exactly one of 'handle' and 'name' must be non-NULL. If type is cudaExternalSemaphoreHandleTypeOpaqueWin32Kmt then 'name' must be NULL.

Author

Generated automatically by Doxygen from the source code.